Skip to content

Custom List Roles.

GET
/api/web/custom/namespaces/{namespace}/roles
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/roles \
--header 'Authorization: <Authorization>'

List the Role objects with all API groups which the role can access to.

Examples of this operation.

namespace
required
string

Namespace Namespace fo the roles to be retrieved.

A successful response.

Media typeapplication/json
CustomListResponse

Response for CustomList API.

object
items
Role

The list of the roles for specific request.

Array<object>
Role

Role entity.

object
api_groups
API Group

The API groups that the role can access.

Array<string>
disabled
disabled

Representation if role is disabled.

boolean format: boolean
get_spec
object
rbac_policy
RBAC Policy

Reference to rabc_policy object which has rules defined for access on list of API Groups.

Required: YES.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
name
name

The name of this role.

string
>= 6 characters <= 1024 characters
namespace
namespace

The namespace this item belongs to.

string
>= 6 characters <= 1024 characters
tenant
tenant

The tenant this item belongs to.

string
>= 6 characters <= 1024 characters
uid
uid

The unique uid of this role.

string format: uuid
>= 36 characters <= 1024 characters
Examplegenerated
{
"items": [
{
"api_groups": [
"example"
],
"disabled": true,
"get_spec": {
"rbac_policy": [
{
"name": "example",
"namespace": "example"
}
]
},
"name": "example",
"namespace": "example",
"tenant": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example